"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getBool_1 = __importDefault(require("./getBool"));
const consume = (type, setting) => {
    switch (type) {
        case 'obj': {
            if (setting &&
                Object.prototype.toString.call(setting) === '[object String]') {
                return JSON.parse(setting.replace(/""(.*)""/ug, '"\\"$1\\""'));
            }
            else {
                return setting || {};
            }
        }
        case 'number': {
            const number = Number(setting);
            return Number.isNaN(number) ?
                undefined :
                number;
        }
        case 'bool': {
            return (0, getBool_1.default)(setting);
        }
        case 'true': {
            return (0, getBool_1.default)(setting, true);
        }
        case 'false': {
            return (0, getBool_1.default)(setting, false);
        }
        case 'both': {
            return (0, getBool_1.default)(setting, true);
        }
        case 'string':
        default: {
            return setting;
        }
    }
};
exports.default = consume;
