declare const settings: {
    [key: string]: {
        defaults: boolean | number | string;
        env: string;
        ignore?: boolean | undefined;
        packageName: string | false;
        resolve: boolean;
        type: 'bool' | 'both' | 'false' | 'number' | 'obj' | 'string' | 'true';
    };
};
declare const keys: (keyof completeDigest)[];
declare type completeDigest = {
    angular: boolean;
    appHost: string;
    appPort: number;
    babel: string | false;
    babelAngular: boolean;
    babelEmotion: boolean;
    babelFlow: boolean;
    babelGraphQL: boolean;
    babelPolyfills: string;
    babelPreset: boolean;
    babelReact: boolean;
    babelReactNative: boolean;
    babelTypeScript: boolean;
    baseHref: string;
    cache: string | false;
    compression: boolean;
    context: string;
    cssModules: boolean;
    digestName: string;
    e2ePath: string;
    emotion: boolean;
    env: {
        [key: string]: number | string;
    };
    eslint: string | false;
    eslintAngular: boolean;
    eslintBabel: boolean;
    eslintEmotion: boolean;
    eslintFlow: boolean;
    eslintGraphQL: boolean;
    eslintJest: boolean;
    eslintReact: boolean;
    eslintReactNative: boolean;
    eslintTypeScript: boolean;
    favicon: string | false;
    flow: string | false;
    graphql: boolean;
    graphqlSchema: string;
    hashLimit: number;
    indexHtml: string | false;
    jest: boolean;
    jestBabel: boolean;
    jestEmotion: boolean;
    jestGraphQL: boolean;
    jestJUnit: boolean;
    jestReact: boolean;
    jestSetup: string;
    jestTypeScript: boolean;
    library: boolean;
    minimize: boolean;
    parallel: boolean;
    polyfills: string | false;
    postcss: string;
    postcssWhitelist: string;
    pwa: boolean;
    react: boolean;
    reactNative: boolean;
    reactNativeWeb: boolean;
    reports: string | false;
    seleniumChromeDriver: string;
    seleniumDriver: string;
    seleniumGeckoDriver: string;
    seleniumHeadless: boolean;
    seleniumHost: string;
    seleniumPort: number;
    seleniumStart: boolean;
    shortName: string;
    sourceMaps: boolean;
    sourcePath: string;
    staticPath: string;
    stylelint: string | false;
    stylelintIgnore: string;
    typescript: string;
    webpack: string;
    webpackAngular: boolean;
    webpackBabel: boolean;
    webpackDashboard: boolean;
    webpackESLint: boolean;
    webpackFlow: boolean;
    webpackGraphQL: boolean;
    webpackPostCSS: boolean;
    webpackReact: boolean;
    webpackReactNative: boolean;
    webpackStyleLint: boolean;
    webpackTypeScript: boolean;
    webpackWorkbox: boolean;
};
declare type digest = Omit<Partial<completeDigest>, 'context'> & {
    angular?: false;
    babel?: string | false;
    babelAngular?: false;
    babelEmotion?: false;
    babelFlow?: false;
    babelGraphQL?: false;
    babelPolyfills?: false;
    babelPreset?: false;
    babelReact?: false;
    babelReactNative?: false;
    babelTypeScript?: false;
    cache?: string | false;
    compression?: false;
    cssModules?: true;
    eslint?: string | false;
    eslintAngular?: false;
    eslintBabel?: false;
    eslintEmotion?: false;
    eslintFlow?: false;
    eslintGraphQL?: false;
    eslintJest?: false;
    eslintReact?: false;
    eslintReactNative?: false;
    eslintTypeScript?: false;
    favicon?: string | false;
    flow?: string | false;
    graphql?: false;
    jest?: false;
    jestBabel?: false;
    jestEmotion?: false;
    jestGraphQL?: false;
    jestJUnit?: false;
    jestReact?: false;
    jestTypeScript?: false;
    library?: true;
    minimize?: false;
    parallel?: false;
    polyfills?: string | false;
    postcss?: string | false;
    pwa?: true;
    react?: false;
    reactNative?: false;
    reactNativeWeb?: true;
    reports?: string | false;
    sourceMaps?: false;
    stylelint?: string | false;
    typescript?: string | false;
    webpackAngular?: false;
    webpackBabel?: false;
    webpackDashboard?: false;
    webpackESLint?: false;
    webpackFlow?: false;
    webpackGraphQL?: false;
    webpackPostCSS?: false;
    webpackReact?: false;
    webpackReactNative?: false;
    webpackStyleLint?: false;
    webpackTypeScript?: false;
    webpackWorkbox?: false;
};
export default settings;
export { keys };
export type { completeDigest, digest };
